Upgrade LFS-3.0 to Build LFS-6.0

Matthias B. msbREMOVE-THIS at winterdrache.de
Thu Sep 9 15:25:47 PDT 2004


On Tue, 7 Sep 2004 14:50:35 -0400 "John McSwain" <jmcswain at infoave.net>
wrote:

> Matthias B. wrote:
> > 2 suggestions:
> >
> > a) try `make bootstrap' instead of just `make'
> >
> > b) try an earlier version of gcc. I had no problems building 3.4.0 on
> > my LFS 3.0 system
> 
> I tried gcc 3.4.0 with make and make bootstrap:
> 
> In file included from /usr/include/signal.h:358,
>                  from ../../gcc-3.4.0/gcc/config/i386/linux.h:217,
>                  from ./tm.h:11,
>                  from ../../gcc-3.4.0/gcc/libgcc2.c:43:
> /usr/include/bits/sigthread.h:36: error: storage class specified for 
> parameter `type name'


Ahh. I think I got it. Ditch the no-fixincludes patch. GCC needs to fix
this header because __thread is a keyword in newer GCCs.

MSB

-- 
Bombs don't kill people. Explosions kill people.




More information about the lfs-support mailing list